tsmarty2c(1)

NAME
tsmarty2c - Rip translation strings from smarty template files and convert them to gettext calls in C.

SYNOPSIS
tsmarty2c <templ-file1-or-dir1> \
          [<templ-file2-or-dir2>] \
          [... <templ-fileN-or-dirN>]

DESCRIPTION

tsmarty2c rips the translation strings from smarty template files, and converts them to gettext calls in C.

The C output may later be used with the standard gettext tools (see xgettext).

If one of the parameters is a directory, the template files within will be parsed, recursively.

The output also contains comments that point to the location of the file that the string has been ripped from.

You can use the '--add-comments' parameter of xgettext to make it include these comments inside the PO file (suggested by Mike van Lammeren).

SEE ALSO
xgettext(1)

AUTHOR
This manual has been written for the Debian project (and may be used by others) by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.